AntiFeatures:
  - NonFreeNet
Categories:
  - Games
License: AGPL-3.0-only
AuthorName: narumi
AuthorEmail: chaldea@narumi.cc
WebSite: https://docs.chaldea.center
SourceCode: https://github.com/chaldea-center/chaldea
IssueTracker: https://github.com/chaldea-center/chaldea/issues
Translation: https://docs.chaldea.center/guide/translation#ui-text
Changelog: https://github.com/chaldea-center/chaldea/releases
Donate: https://docs.chaldea.center/guide/donation

AutoName: chaldea

RepoType: git
Repo: https://github.com/chaldea-center/chaldea.git

Builds:
  - versionName: 2.0.0
    versionCode: 900
    commit: cb351fd90a6ff59d73827109de8319c42ecc8385
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.1
    versionCode: 902
    commit: 856b954931766a26abddd5033576d7e337276340
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.3
    versionCode: 904
    commit: 8cb35c8684eee455feaa3ecad8850a5f1bc4c7f5
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.4
    versionCode: 905
    commit: 1bcf6163d75c4070e5e39214be4a1aa6169e0217
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.5
    versionCode: 906
    commit: ee6d4f355e26a744171e52d1c31095cd93a0f395
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.6
    versionCode: 907
    commit: 981761845f1ff34d5708e55341e49bef4c16d924
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.7
    versionCode: 908
    commit: de090149c74b8f4df35c0bcb499b4f37eb8e8fd0
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.8
    versionCode: 909
    commit: 2174a1ac9ba833c17a718ad81923b65d1e44447f
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.9
    versionCode: 910
    commit: 1cbf1f4f9fde8576e088236e86358ddd584b82b1
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.10
    versionCode: 911
    commit: 585373fb6b08305420f53c9fe94ad30244fbbc50
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.11
    versionCode: 912
    commit: 8d3471da2f06f7557193ac03aa6cdeecc8de1848
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.1.0
    versionCode: 913
    commit: 9d519ab9cdec68eb1759962945662f26f7fc6a94
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
      'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.1.1
    versionCode: 914
    commit: 7c50a8631b943f77195ca55b674ec2f5bf272b5c
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
      'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.1.2
    versionCode: 915
    commit: 30445ff9cecd9bef4ad26b3a3e98a0ee645012d2
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.2.0
    versionCode: 916
    commit: c0975f6db5393879c46b60bb4f9561bde66c3e05
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.6.0-0.1.pre
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.2.1
    versionCode: 917
    commit: b51b13d74c2840fd46619b05b47a602e7c8b6604
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.6.0-0.1.pre
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.2.2
    versionCode: 918
    commit: 31d7a1a6858c8f9d9ebac8feaa602ff1499a4289
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.6.0-0.1.pre
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.2.3
    versionCode: 919
    commit: 13137ae670061335bc844a05c74374055e162818
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.6.0-0.1.pre
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.2.4
    versionCode: 920
    commit: fbbde6d64cc355392b23e5f7db0c0b52f3bc007b
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.7.0
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.2.5
    versionCode: 921
    commit: c11c370b3e8155af834ba513d40caa11cb021329
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.7.0
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.2.6
    versionCode: 922
    commit: fc9773c12a38be56464f42e297c0a6e7ce4e9e8c
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.7.0
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.3.0
    versionCode: 923
    commit: 4f445bbf1ea11855f0c6c7abc1505da0814c3d6e
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.7.0
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.3.1
    versionCode: 925
    commit: c4bd4eb7fd62f918325995c7945442dee19133a6
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.7.0
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.3.2
    versionCode: 926
    commit: 25313d797740e9c12256b50b8597fdedbbc68e02
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.7.0
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.3.3
    versionCode: 927
    commit: 5382aac7eda6f3fa6bd735697fbcff4cbc914143
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.7.0
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.3.4
    versionCode: 928
    commit: e757265286072045755e68ceb84b858f72780b36
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.7.0
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.3.5
    versionCode: 930
    commit: 452d4fed014ffb7582a9b4e95289ce53a563dac9
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.7.0
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.3.6
    versionCode: 931
    commit: f925e66c87e1efe77d0b385948d559b3d0850662
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.7.0
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.4.0
    versionCode: 932
    commit: 9f582629bfd0d934594ee0aef3b8b8d281bfcc2d
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild:
      - export version=$(grep "\ \ FLUTTER_VERSION" .github/workflows/deploy-github-release.yml
        | cut -d "\"" -f2)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - sdkmanager 'cmake;3.10.2.4988404'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.4.1
    versionCode: 933
    commit: 6edc4f17dbad1b7054e5e3d4360d3f8dc65b5bfc
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild:
      - export version=$(grep "\ \ FLUTTER_VERSION" .github/workflows/deploy-github-release.yml
        | cut -d "\"" -f2)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - sdkmanager 'cmake;3.10.2.4988404'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.4.2
    versionCode: 934
    commit: 9cd7dd0172d42b88b91e77610f412002d31c2ca3
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild:
      - export version=$(grep "\ \ FLUTTER_VERSION" .github/workflows/deploy-github-release.yml
        | cut -d "\"" -f2)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - sdkmanager 'cmake;3.10.2.4988404'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.4.3
    versionCode: 935
    commit: e4f86a8fa622844ed994bce36c7e705a455d484a
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild:
      - export version=$(grep "\ \ FLUTTER_VERSION" .github/workflows/deploy-github-release.yml
        | cut -d "\"" -f2)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - sdkmanager 'cmake;3.10.2.4988404'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.4.4
    versionCode: 936
    commit: 278dac1171b49dd5593c21680ee07ebbfdd72e09
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild:
      - export version=$(grep "\ \ FLUTTER_VERSION" .github/workflows/deploy-github-release.yml
        | cut -d "\"" -f2)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - sdkmanager 'cmake;3.10.2.4988404'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.4.5
    versionCode: 945
    commit: db1b52f73d162bbcf76d6880643702cba20d3ba6
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild:
      - export version=$(grep "\ \ FLUTTER_VERSION" .github/workflows/deploy-github-release.yml
        | cut -d "\"" -f2)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - sdkmanager 'cmake;3.10.2.4988404'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.4.6
    versionCode: 946
    commit: 788cc24c28e305ab17da65e456648a6f87de3a69
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild:
      - export version=$(grep "\ \ FLUTTER_VERSION" .github/workflows/deploy-github-release.yml
        | cut -d "\"" -f2)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - sdkmanager 'cmake;3.10.2.4988404'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.4.7
    versionCode: 947
    commit: 87bcbe906e6f57daf715beac48d468c72c783dc4
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild:
      - export version=$(grep "\ \ FLUTTER_VERSION" .github/workflows/deploy-github-release.yml
        | cut -d "\"" -f2)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - sdkmanager 'cmake;3.10.2.4988404'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.4.8
    versionCode: 948
    commit: cf70463b36ffe5ed5dbad3d8a47e7ccef43a2c65
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild:
      - export version=$(grep "\ \ FLUTTER_VERSION" .github/workflows/deploy-github-release.yml
        | cut -d "\"" -f2)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - sdkmanager 'cmake;3.10.2.4988404'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.4.9
    versionCode: 949
    commit: 4b13f023b7a72441dffe589c4999ffa4ac11d711
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild:
      - export version=$(grep "\ \ FLUTTER_VERSION" .github/workflows/deploy-github-release.yml
        | cut -d "\"" -f2)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - sdkmanager 'cmake;3.10.2.4988404'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.4.10
    versionCode: 950
    commit: 5b6b44bb157ec845e2d6cc3421b6ad3e8d311d9a
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild:
      - export version=$(grep "\ \ FLUTTER_VERSION" .github/workflows/deploy-github-release.yml
        | cut -d "\"" -f2)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - sdkmanager 'cmake;3.10.2.4988404'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.4.11
    versionCode: 951
    commit: a487f3c67d6323418abc8e47926fc4d3d263ebca
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild:
      - export version=$(grep "\ \ FLUTTER_VERSION" .github/workflows/deploy-github-release.yml
        | cut -d "\"" -f2)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - sdkmanager 'cmake;3.10.2.4988404'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.4.12
    versionCode: 952
    commit: 3e9d7366f1911c8f1cce1e103cd29f2a95797473
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild:
      - export version=$(grep "\ \ FLUTTER_VERSION" .github/workflows/deploy-github-release.yml
        | cut -d "\"" -f2)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - sdkmanager 'cmake;3.10.2.4988404'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.4.14
    versionCode: 954
    commit: b96198690b1640e95fce631baf8d7da769245e68
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild:
      - export version=$(grep "\ \ FLUTTER_VERSION" .github/workflows/deploy-github-release.yml
        | cut -d "\"" -f2)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - sdkmanager 'cmake;3.10.2.4988404'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.4.15
    versionCode: 955
    commit: c747f7d29238db6c0b0c459f1625fcfdb2e7a851
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild:
      - export version=$(grep "\ \ FLUTTER_VERSION" .github/workflows/deploy-github-release.yml
        | cut -d "\"" -f2)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - sdkmanager 'cmake;3.10.2.4988404'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.4.17
    versionCode: 957
    commit: bd61ab8696d62d3c4b228376cd771dd92ee3b62d
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild:
      - export version=$(grep "\ \ FLUTTER_VERSION" .github/workflows/deploy-github-release.yml
        | cut -d "\"" -f2)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - sdkmanager 'cmake;3.10.2.4988404'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.4.18
    versionCode: 958
    commit: 10f54eb1347352004a6aee6b2ad7a1fd7fdc9dfd
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild:
      - export version=$(grep "\ \ FLUTTER_VERSION" .github/workflows/deploy-github-release.yml
        | cut -d "\"" -f2)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - sdkmanager 'cmake;3.10.2.4988404'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.4.19
    versionCode: 959
    commit: f468fb5be5c86cf527cb4cbd0d77c97337ec1c2e
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild:
      - export version=$(grep "\ \ FLUTTER_VERSION" .github/workflows/deploy-github-release.yml
        | cut -d "\"" -f2)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - sdkmanager 'cmake;3.10.2.4988404'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.4.20
    versionCode: 960
    commit: 46597e9df2d6f6df69fc8932c0099b7df111d995
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild:
      - export version=$(grep "\ \ FLUTTER_VERSION" .github/workflows/deploy-github-release.yml
        | cut -d "\"" -f2)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - sdkmanager 'cmake;3.10.2.4988404'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.5.0
    versionCode: 961
    commit: eecbf37beb1d2b245556d7b92c43fbfe25e2dc0f
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild:
      - export version=$(grep "\ \ FLUTTER_VERSION" .github/workflows/deploy-github-release.yml
        | cut -d "\"" -f2)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - sdkmanager 'cmake;3.10.2.4988404'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.5.1
    versionCode: 962
    commit: f421f0f842552d683e374964e756b39b1b5482d4
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild:
      - export version=$(grep "\ \ FLUTTER_VERSION" .github/workflows/deploy-github-release.yml
        | cut -d "\"" -f2)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - sdkmanager 'cmake;3.10.2.4988404'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.5.2
    versionCode: 963
    commit: ff5a96236ab002c344c0d5dd073c6ca3281255ba
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild:
      - export version=$(grep "\ \ FLUTTER_VERSION" .github/workflows/deploy-github-release.yml
        | cut -d "\"" -f2)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - sdkmanager 'cmake;3.10.2.4988404'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --flavor fdroid

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v[\d.]+
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 2.5.2
CurrentVersionCode: 963
